> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Settings



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json put /v1/creators/settings
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/creators/settings:
    put:
      tags:
        - creators
        - creators
      summary: Update Settings
      operationId: update_settings_v1_creators_settings_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KolSettingsUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KolSettingsUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        twitter:
          anyOf:
            - type: string
            - type: 'null'
          title: Twitter
        fee_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Fee Enabled
        fee_collector_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Fee Collector Address
      type: object
      title: KolSettingsUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````